Skip to main content
POST
/
v1
/
users
Create tenant user
curl --request POST \
  --url https://api.usenaive.ai/v1/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "<string>",
  "email": "jsmith@example.com",
  "label": "<string>",
  "account_kit_id": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "external_id": "<string>",
  "email": "<string>",
  "label": "<string>",
  "account_kit_id": "<string>",
  "is_default": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "last_active_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
external_id
string

Unique per company.

email
string<email>
label
string
account_kit_id
string
metadata
object

Response

Created.

id
string
external_id
string | null
email
string | null
label
string | null
status
enum<string>
Available options:
active,
suspended,
deleted
account_kit_id
string
is_default
boolean
metadata
object
created_at
string<date-time>
last_active_at
string<date-time> | null